---
title: Window.onappinstalled
slug: Web/API/Window/onappinstalled
tags:
  - API
  - Event Handler
  - Manifest
  - Obsolete
  - Property
  - Reference
  - Window
  - onappinstalled
  - web manifest
---
<div>{{obsolete_header}}</div>

<p>The <code><strong>onappinstalled</strong></code> attribute of the {{domxref("Window")}} object serves as an event handler for the {{Event("appinstalled")}} event, which is dispatched once the web application is successfully installed as a <a href="/en-US/Apps/Progressive">progressive web app</a>. The event that is fired is a "simple event" that implements the {{domxref("Event")}} interface. </p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">window.onappinstalled = function(event) { ... };
</pre>

<h2 id="Example">Example</h2>

<pre class="brush: js">window.onappinstalled = function(ev) {
  console.log('The application was installed.');
};</pre>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Window.onappinstalled")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("Event")}}</li>
</ul>
